<div class="contenedor-reportes">
  <div class="descargar-imprimir">
    <button pButton label="Descargar/Imprimir" class="btn btn-primary" routerLink="../descargarReporte"></button>
  </div>

  <div class="reporte reporte-venta">
    <label class="label-fw500">Reportes: Ventas e Ingresos</label>
    <div class="graficos">
      <app-ventas-totales class="componenteReporte"></app-ventas-totales>

      <app-ventas-ultima-semana class="componenteReporte"></app-ventas-ultima-semana>

      <app-producto-mas-genera-ventas class="componenteReporte"></app-producto-mas-genera-ventas>
    </div>
  </div>

  <div class="reporte reporte-inventario">
    <label class="label-fw500">Reportes: Inventario</label>
    <div class="graficos">
      <app-stock-actual-productos class="componenteReporte"></app-stock-actual-productos>

      <app-productos-mas-vendidos class="componenteReporte"></app-productos-mas-vendidos>

      <app-stock-reponer-productos class="componenteReporte"></app-stock-reponer-productos>
    </div>
  </div>

  <div class="reporte reporte-reserva">
    <label class="label-fw500">Reportes: Reservas</label>
    <div class="graficos">
      <app-reservas-totales class="componenteReporte"></app-reservas-totales>

      <app-ingresos-reservas-vs-ventas class="componenteReporte"></app-ingresos-reservas-vs-ventas>
    </div>
  </div>

  <div class="reporte reporte-calificacion">
    <label class="label-fw500">Reportes: Calificación</label>
    <div class="graficos">
      <app-puntuacion-recibida class="componenteReporte"></app-puntuacion-recibida>

      <!-- <div class="contenedorGrafico">
        <label class="label-fw500 titulo">Resumen de calificaciones por estrellas</label>
        <p-chart type="bar" [data]="calificaciones" [options]="opcionCalificaciones" class="chart_size"
          id="calificaciones"></p-chart>
      </div> -->
    </div>
  </div>
</div>
